Triaged: Yes Found in Releases:  
Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102963

Description of problem:

Internal server error when performing a package install through the bulk action interface on the content hosts page.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1. Select at least one system

2. Click on bulk actions

3. Enter 'httpd' package

4. Click 'install'

Actual results:

TypeError: can't convert Symbol into Integer

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/bulk_actions.rb:94:in `[]'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/bulk_actions.rb:94:in `save_job'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/bulk_actions.rb:35:in `block in install_packages'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/bulk_actions.rb:88:in `perform_bulk_action'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/bulk_actions.rb:33:in `install_packages'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:239:in

`content_action'

/opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/controllers/katello/api/v2/systems_bulk_actions_controller.rb:120:in

`install_content'

Expected results:

Additional info:

Associated revisions

Revision b7369efc - 06/09/2014 03:13 PM - Brad Buckingham

fixes #6120 / BZ1102963 - address error during content host bulk actions

When performing a bulk action (e.g. pkg, pkg group or errata

install/update/remove) action, the user would get an error similar

to the following:

TypeError: can't convert Symbol into Integer

    katello/app/lib/katello/bulk_actions.rb:94:in `[]'

    katello/app/lib/katello/bulk_actions.rb:94:in `save_job'

    katello/app/lib/katello/bulk_actions.rb:35:in `block in install_packages'

    katello/app/lib/katello/bulk_actions.rb:88:in `perform_bulk_action'

    katello/app/lib/katello/bulk_actions.rb:33:in `install_packages'

 The cause of the error is that pulp 2.4 changed the response to consumer group
actions; however, the bulk actions had not been updated for this change.

In pulp 2.4, the response no longer returns a 'job' along with 'tasks'

associated with that job.  Instead, it returns a list of tasks that the user

must individually monitor.

Since the content host and host collections UIs no longer provide the

user a way for a user to see pulp job/task information (i.e. this was

removed in favor of using dynflow and displaying it's task info), this commit

removes the saving of the pulp job/task information on bulk actions.

In a future commit, we'll update the bulk actions to utilize

dynflow, so that a user can see details on the actions performed.

In the meantime, the user can see updates by looking on the affected

content hosts or via changes to the content hosts package profiles

(after uploads that occur after the bulk actions are performed).

Revision ffb9015d - 06/11/2014 01:04 PM - Brad Buckingham

Merge pull request #4231 from bbuckingham/issue-6120

fixes #6120 / BZ1102963 - address error during content host bulk actions

History

#1 - 06/09/2014 12:43 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- translation missing: en.field_release set to 13

- Triaged set to Yes

#2 - 06/09/2014 03:40 PM - Brad Buckingham

- Target version set to 45

#3 - 06/11/2014 01:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b7369efc3ef1dd65bc0bce50ff4c5fa8536c63e7.
